Bug 55275 - Security update kernel breaks kernel.h
Security update kernel breaks kernel.h
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-28 23:09 EST by joncruz
Modified: 2014-03-16 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:41:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joncruz 2001-10-28 23:09:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
Installation set the kernel type to "i686i686" instead of "i686"

/* Kernel type i686i686 */

 #ifndef __MODULE_KERNEL_i686i686
 #define __MODULE_KERNEL_i686i686 1
 #endif

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Used redhat up2date to install security kernel update of Oct 18.

The resulting mangled kernel.h caused problems in a few things.



Actual Results:  /* Kernel type i686i686 */

 #ifndef __MODULE_KERNEL_i686i686
 #define __MODULE_KERNEL_i686i686 1
 #endif

Expected Results:  /* Kernel type i686 */

 #ifndef __MODULE_KERNEL_i686
 #define __MODULE_KERNEL_i686 1
 #endif

Additional info:
Comment 1 Arjan van de Ven 2001-10-29 04:01:15 EST
Is this still true 
1) after running mkkerneldoth as root
2) after a reboot 
?
Comment 2 Neil Padgett 2002-01-03 17:58:46 EST
I found I also had a similar situation.

In my case, the kernel type was being detected as i686i686i686i686i686. 

Checking rpm -qa|grep kernel showed that there were 5 instances of the same
kernel RPM installed.

If this is indeed the same problem, the recommended fix is:
1) Back out the installed update with:
       rpm -e --allmatches kernel-[version string], where [version string]
should be replaced with the problem kernel version. For example, for 2.4.9-13, use:
       rpm -e --allmatches kernel-2.4.9-13
2) Reapply the erratum by installing the updated kernel RPM using up2date or
   by downloading and installing with rpm.
3) Regenerate the kernel.h by running mkkerneldoth as root or rebooting.
Comment 3 Adrian Likins 2002-03-26 18:48:02 EST
I could be wrong, but this looks like a possible mkkerneldoth bug

(albeit, having multiple versions of the same kernel installed
was a up2date bug at one point, but fixed in current versions)
Comment 4 Bill Nottingham 2005-02-22 15:41:42 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.

Note You need to log in before you can comment on or make changes to this bug.